<div class="modal-body p-4">
    <h6 *ngIf="_registrationType == 'Pickup'">Enter your detail below</h6>
    <h6 *ngIf="_registrationType == 'Delivery'">Billing Address</h6>
    <form [formGroup]="guestUserRegistrationFormForInstore" *ngIf="_registrationType == 'Pickup'">
        <div class="form-row">
            <div class="col-12">
                <div class="mb-2">
                    <label for="FullName" class="form-label mb-1">Full Name *</label>
                    <input type="type" class="form-control" placeholder="Full name" formControlName="FullName"
                        id="FullName" onkeypress="return /[a-z\s]/i.test(event.key)">
                    <div *ngIf="isSubmittedForm && instoreform['FullName'].invalid" class="text-danger">
                        <div *ngIf="instoreform['FullName']?.errors?.['required']">Fullname is required</div>
                    </div>
                </div>
            </div>
        </div>
        <div class="form-row mb-2">
            <div class="col-md-12 col-sm-12">
                <label for="PhoneNumber" class="form-label mb-1">Phone Number *</label>
                <div class="input-group" formGroupName="PhoneNumber">
                    <div class="input-group-prepend" style="width:20%">
                        <select class="form-control custom-select select2-hidden-accessible cursor-pointer"
                            formControlName="Code">
                            <option selected value="234">+234</option>
                            <!-- <option value="+233">+233</option> -->
                        </select>
                    </div>
                    <input type="text" class="form-control" id="Number" aria-label="Text input with dropdown button"
                        formControlName="Number" placeholder="Phone number" minlength="10" maxlength="11" onkeypress="return /[0-9]/i.test(event.key)">
                </div>
                <div *ngIf="isSubmittedForm && instorePhoneNumberControl['Number'].invalid" class="text-danger">
                    <div *ngIf="instorePhoneNumberControl['Number']?.errors?.['required']">Mobile number is required
                    </div>
                    <div *ngIf="instorePhoneNumberControl['Number']?.errors?.['pattern']">Enter valid mobile number
                    </div>
                    <div *ngIf="!instorePhoneNumberControl['Number']?.errors?.['pattern'] && instorePhoneNumberControl['Number']?.errors?.['minlength']">Minimum 10 digit required
                    </div>
                    <div *ngIf="instorePhoneNumberControl['Number']?.errors?.['maxlength']">Maximum 11 digit required
                    </div>
                </div>
            </div>
        </div>
        <div class="mb-2">
            <label for="EmailAddress" class="form-label mb-1">Email Address *</label>
            <input type="email" class="form-control" placeholder="Enter email address" formControlName="EmailAddress" maxlength="60"
                id="EmailAddress" [ngClass]="{'is-invalid': isSubmittedForm && instoreform['EmailAddress'].touched && instoreform['EmailAddress'].errors?.['pattern']}">
            <div *ngIf="isSubmittedForm && instoreform['EmailAddress'].invalid" class="text-danger">
                <div *ngIf="instoreform['EmailAddress']?.errors?.['required']">EmailAddress is required</div>
                <div *ngIf="instoreform['EmailAddress']?.errors?.['pattern']">Invalid email address</div>
            </div>
        </div>
        <div class="mb-2">
            <label for="referralCode" class="form-label mb-1">Referral Code (Optional)</label>
            <input type="type" class="form-control" formControlName="referralCode"
                id="referralCode" oninput="this.value=this.value.replace(/[^a-zA-Z0-9]/g,'');">
            <div *ngIf="isSubmittedForm && instoreform['referralCode'].invalid" class="text-danger">
                <div *ngIf="instoreform['referralCode']?.errors?.['minlength']">Code atleast 6 characters</div>
            </div>
        </div>
    </form>

    <form [formGroup]="guestUserRegistrationFormForDelivery" *ngIf="_registrationType == 'Delivery'">
        <div class="form-row">
            <div class="col-12">
                <div class="mb-2">
                    <label for="FullName" class="form-label mb-1">Full Name *</label>
                    <input type="type" class="form-control" placeholder="Full name" formControlName="FullName"
                        id="FullName" onkeypress="return /[a-z\s]/i.test(event.key)">
                    <div *ngIf="isSubmittedForm && deliveryform['FullName'].invalid" class="text-danger">
                        <div *ngIf="deliveryform['FullName']?.errors?.['required']">Fullname is required</div>
                    </div>
                </div>
            </div>
        </div>
        <div class="mb-2">
                <label for="PhoneNumber" class="form-label mb-1">Phone Number *</label>
                <div class="input-group" formGroupName="PhoneNumber">
                    <div class="input-group-prepend" style="width:20%">
                        <select class="form-control custom-select select2-hidden-accessible cursor-pointer"
                            formControlName="Code">
                            <option selected value="234">+234</option>
                        </select>
                    </div>
                    <input type="text" class="form-control" id="PhoneNumber"
                        aria-label="Text input with dropdown button" placeholder="Phone number" formControlName="Number"  minlength="10" maxlength="11" onkeypress="return /[0-9]/i.test(event.key)">
                    </div>
                    <div *ngIf="isSubmittedForm && deliveryPhoneNumberControl['Number'].invalid" class="text-danger">
                        <div *ngIf="deliveryPhoneNumberControl['Number']?.errors?.['required']">Mobile number is
                            required</div>
                            <div *ngIf="deliveryPhoneNumberControl['Number']?.errors?.['pattern']">Enter valid mobile number
                            </div>
                            <div *ngIf="!deliveryPhoneNumberControl['Number']?.errors?.['pattern'] && deliveryPhoneNumberControl['Number']?.errors?.['minlength']">Minimum 10 digit required
                            </div>
                            <div *ngIf="deliveryPhoneNumberControl['Number']?.errors?.['maxlength']">Maximum 11 digit required
                            </div>
                    </div>
        </div>
        <div class="mb-2">
            <label for="EmailAddress" class="form-label mb-1">Email Address *</label>
            <input type="email" class="form-control" placeholder="Enter email address" formControlName="EmailAddress"  maxlength="60"
                id="EmailAddress" [ngClass]="{'is-invalid': isSubmittedForm && deliveryform['EmailAddress'].touched && deliveryform['EmailAddress'].errors?.['pattern']}">
            <div *ngIf="isSubmittedForm && deliveryform['EmailAddress'].invalid" class="text-danger">
                <div *ngIf="deliveryform['EmailAddress']?.errors?.['required']">EmailAddress is required</div>
                <div *ngIf="deliveryform['EmailAddress']?.errors?.['pattern']">Invalid email address</div>
            </div>
        </div>
        <div class="mb-2">
            <label for="StreetAddressLine1" class="form-label mb-1">Address Line 1 *</label>
            <input id="StreetAddressLine1" class="form-control" placeholder="Address Line 1" formControlName="AddressLine1" />
            <div *ngIf="isSubmittedForm && deliveryform['AddressLine1'].invalid" class="text-danger">
                <div *ngIf="deliveryform['AddressLine1']?.errors?.['required']">Street address is required</div>
                <div *ngIf="deliveryform['AddressLine1']?.errors?.['maxlength']">Address should have only 45 characters
                </div>
            </div>
        </div>
        <div class="mb-2">
            <label for="State" class="form-label mb-1">State *</label>
            <select id="State" class="form-control custom-select select2-hidden-accessible cursor-pointer"
                formControlName="State" (change)="changeSelectFormControl('State',$event)">
                <option selected disabled value="">Select State</option>
                <option *ngFor="let Item of this._DataService._AllStates" [value]="Item.ReferenceId">{{Item.Name}}
                </option>
            </select>
            <div *ngIf="isSubmittedForm && deliveryform['State'].invalid" class="text-danger">
                <div *ngIf="deliveryform['State']?.errors?.['required']">State is required</div>
            </div>
        </div>
        <div class="mb-2">
            <label for="CityLabel" class="form-label mb-1">City *</label>
            <select id="CityLabel" class="form-control custom-select select2-hidden-accessible cursor-pointer"
                formControlName="City" (change)="changeSelectFormControl('City')">
                <option selected disabled value="">Select City</option>
                <option *ngFor="let Item of this.citiesAgainstState" [value]="Item.ReferenceId">{{Item.Name}}</option>
            </select>
            <div *ngIf="isSubmittedForm && deliveryform['City'].invalid" class="text-danger">
                <div *ngIf="deliveryform['City']?.errors?.['required']">City is required</div>
            </div>
        </div>
        <div class="mb-2">
            <label for="referralCode" class="form-label mb-1">Referral Code (Optional)</label>
            <input type="type" class="form-control" formControlName="referralCode"
                id="referralCode" oninput="this.value=this.value.replace(/[^a-zA-Z0-9]/g,'');">
            <div *ngIf="isSubmittedForm && deliveryform['referralCode'].invalid" class="text-danger">
                <div *ngIf="deliveryform['referralCode']?.errors?.['minlength']">Code atleast 6 characters</div>
            </div>
        </div>
    </form>
</div>
<div class="modal-footer px-5 pt-0 pb-4 border-top-0">
    <!-- <button type="button" class="btn btn-outline" (click)="modal.close('Cancel click')">Cancel</button> -->
    <!-- <button type="button" class="btn btn-block btn-primary" (click)="modal.close('Yes click')">Save Address</button> -->
    <button type="button" class="btn btn-block btn-primary" (click)="Checkout()"
        *ngIf="!_HelperService.IsProcessing && _registrationType == 'Pickup'">Checkout <span [innerHtml]="_HelperService.AppConfig.CurrencySymbol || '&#8358;'"></span> {{_HelperService.GetAmount(_DealDetails.SellingPrice * (_Quantity || 1))}}
    </button>
    <button type="button" class="btn btn-block btn-primary" (click)="Checkout()"
        *ngIf="!_HelperService.IsProcessing && _registrationType == 'Delivery'">Confirm Address</button>
    <button class="btn btn-block  btn-outline-primary" *ngIf="_HelperService.IsProcessing" disabled>
        Please wait
    </button>
</div>